Hardware Locality (hwloc): Data Fields

Hardware Locality (hwloc) 1.9

- Main Page
- Related Pages
- Modules
- Data Structures

- Data Structures
- Data Fields

- All
- Variables

- a
- b
- c
- d
- e
- f
- g
- i
- l
- m
- n
- o
- p
- r
- s
- t
- u
- v

Here is a list of all struct and union fields with links to the structures/unions they belong to:

### - a -

- abi : hwloc_component
- alloc_membind : hwloc_topology_membind_support
- allowed_cpuset : hwloc_obj
- allowed_nodeset : hwloc_obj
- arity : hwloc_obj
- associativity : hwloc_obj_attr_u::hwloc_cache_attr_s
- attr : hwloc_obj

### - b -

- bind_membind : hwloc_topology_membind_support
- bridge : hwloc_obj_attr_u
- bus : hwloc_obj_attr_u::hwloc_pcidev_attr_s

### - c -

- cache : hwloc_obj_attr_u
- children : hwloc_obj
- class_id : hwloc_obj_attr_u::hwloc_pcidev_attr_s
- complete_cpuset : hwloc_obj
- complete_nodeset : hwloc_obj
- count : hwloc_obj_memory_s::hwloc_obj_memory_page_type_s
- cpubind : hwloc_topology_support
- cpuset : hwloc_obj

### - d -

- data : hwloc_component
- depth : hwloc_obj , hwloc_obj_attr_u::hwloc_bridge_attr_s , hwloc_obj_attr_u::hwloc_cache_attr_s , hwloc_obj_attr_u::hwloc_group_attr_s
- dev : hwloc_obj_attr_u::hwloc_pcidev_attr_s
- device_id : hwloc_obj_attr_u::hwloc_pcidev_attr_s
- diff : hwloc_topology_diff_u::hwloc_topology_diff_obj_attr_s
- disable : hwloc_backend
- discover : hwloc_backend
- discovery : hwloc_topology_support
- distances : hwloc_obj
- distances_count : hwloc_obj
- domain : hwloc_obj_attr_u::hwloc_bridge_attr_s , hwloc_obj_attr_u::hwloc_pcidev_attr_s
- downstream : hwloc_obj_attr_u::hwloc_bridge_attr_s
- downstream_type : hwloc_obj_attr_u::hwloc_bridge_attr_s

### - e -

- excludes : hwloc_disc_component

### - f -

- first_child : hwloc_obj
- firsttouch_membind : hwloc_topology_membind_support
- flags : hwloc_backend , hwloc_component
- func : hwloc_obj_attr_u::hwloc_pcidev_attr_s

### - g -

- generic : hwloc_topology_diff_obj_attr_u , hwloc_topology_diff_u
- get_area_membind : hwloc_topology_membind_support
- get_obj_cpuset : hwloc_backend
- get_proc_cpubind : hwloc_topology_cpubind_support
- get_proc_last_cpu_location : hwloc_topology_cpubind_support
- get_proc_membind : hwloc_topology_membind_support
- get_thisproc_cpubind : hwloc_topology_cpubind_support
- get_thisproc_last_cpu_location : hwloc_topology_cpubind_support
- get_thisproc_membind : hwloc_topology_membind_support
- get_thisthread_cpubind : hwloc_topology_cpubind_support
- get_thisthread_last_cpu_location : hwloc_topology_cpubind_support
- get_thisthread_membind : hwloc_topology_membind_support
- get_thread_cpubind : hwloc_topology_cpubind_support
- group : hwloc_obj_attr_u

### - i -

- index : hwloc_topology_diff_obj_attr_u::hwloc_topology_diff_obj_attr_uint64_s
- infos : hwloc_obj
- infos_count : hwloc_obj
- instantiate : hwloc_disc_component
- interleave_membind : hwloc_topology_membind_support
- is_custom : hwloc_backend
- is_thissystem : hwloc_backend

### - l -

- last_child : hwloc_obj
- latency : hwloc_distances_s
- latency_base : hwloc_distances_s
- latency_max : hwloc_distances_s
- linesize : hwloc_obj_attr_u::hwloc_cache_attr_s
- linkspeed : hwloc_obj_attr_u::hwloc_pcidev_attr_s
- local_memory : hwloc_obj_memory_s
- logical_index : hwloc_obj

### - m -

- membind : hwloc_topology_support
- memory : hwloc_obj
- migrate_membind : hwloc_topology_membind_support

### - n -

- name : hwloc_disc_component , hwloc_obj , hwloc_obj_info_s , hwloc_topology_diff_obj_attr_u::hwloc_topology_diff_obj_attr_string_s
- nbobjs : hwloc_distances_s
- newvalue : hwloc_topology_diff_obj_attr_u::hwloc_topology_diff_obj_attr_string_s , hwloc_topology_diff_obj_attr_u::hwloc_topology_diff_obj_attr_uint64_s
- next : hwloc_topology_diff_u::hwloc_topology_diff_generic_s , hwloc_topology_diff_u::hwloc_topology_diff_obj_attr_s , hwloc_topology_diff_u::hwloc_topology_diff_too_complex_s
- next_cousin : hwloc_obj
- next_sibling : hwloc_obj
- nexttouch_membind : hwloc_topology_membind_support
- nodeset : hwloc_obj
- notify_new_object : hwloc_backend

### - o -

- obj_attr : hwloc_topology_diff_u
- obj_depth : hwloc_topology_diff_u::hwloc_topology_diff_obj_attr_s , hwloc_topology_diff_u::hwloc_topology_diff_too_complex_s
- obj_index : hwloc_topology_diff_u::hwloc_topology_diff_obj_attr_s , hwloc_topology_diff_u::hwloc_topology_diff_too_complex_s
- oldvalue : hwloc_topology_diff_obj_attr_u::hwloc_topology_diff_obj_attr_string_s , hwloc_topology_diff_obj_attr_u::hwloc_topology_diff_obj_attr_uint64_s
- online_cpuset : hwloc_obj
- os_index : hwloc_obj
- os_level : hwloc_obj
- osdev : hwloc_obj_attr_u

### - p -

- page_types : hwloc_obj_memory_s
- page_types_len : hwloc_obj_memory_s
- parent : hwloc_obj
- pci : hwloc_obj_attr_u::hwloc_bridge_attr_s
- pcidev : hwloc_obj_attr_u
- prev_cousin : hwloc_obj
- prev_sibling : hwloc_obj
- priority : hwloc_disc_component
- private_data : hwloc_backend
- pu : hwloc_topology_discovery_support

### - r -

- relative_depth : hwloc_distances_s
- replicate_membind : hwloc_topology_membind_support
- revision : hwloc_obj_attr_u::hwloc_pcidev_attr_s

### - s -

- secondary_bus : hwloc_obj_attr_u::hwloc_bridge_attr_s
- set_area_membind : hwloc_topology_membind_support
- set_proc_cpubind : hwloc_topology_cpubind_support
- set_proc_membind : hwloc_topology_membind_support
- set_thisproc_cpubind : hwloc_topology_cpubind_support
- set_thisproc_membind : hwloc_topology_membind_support
- set_thisthread_cpubind : hwloc_topology_cpubind_support
- set_thisthread_membind : hwloc_topology_membind_support
- set_thread_cpubind : hwloc_topology_cpubind_support
- sibling_rank : hwloc_obj
- size : hwloc_obj_attr_u::hwloc_cache_attr_s , hwloc_obj_memory_s::hwloc_obj_memory_page_type_s
- string : hwloc_topology_diff_obj_attr_u
- subdevice_id : hwloc_obj_attr_u::hwloc_pcidev_attr_s
- subordinate_bus : hwloc_obj_attr_u::hwloc_bridge_attr_s
- subvendor_id : hwloc_obj_attr_u::hwloc_pcidev_attr_s
- symmetric_subtree : hwloc_obj

### - t -

- too_complex : hwloc_topology_diff_u
- total_memory : hwloc_obj_memory_s
- type : hwloc_component , hwloc_disc_component , hwloc_obj , hwloc_obj_attr_u::hwloc_cache_attr_s , hwloc_obj_attr_u::hwloc_osdev_attr_s , hwloc_topology_diff_obj_attr_u::hwloc_topology_diff_obj_attr_generic_s , hwloc_topology_diff_obj_attr_u::hwloc_topology_diff_obj_attr_string_s , hwloc_topology_diff_obj_attr_u::hwloc_topology_diff_obj_attr_uint64_s , hwloc_topology_diff_u::hwloc_topology_diff_generic_s , hwloc_topology_diff_u::hwloc_topology_diff_obj_attr_s , hwloc_topology_diff_u::hwloc_topology_diff_too_complex_s

### - u -

- uint64 : hwloc_topology_diff_obj_attr_u
- upstream : hwloc_obj_attr_u::hwloc_bridge_attr_s
- upstream_type : hwloc_obj_attr_u::hwloc_bridge_attr_s
- userdata : hwloc_obj

### - v -

- value : hwloc_obj_info_s
- vendor_id : hwloc_obj_attr_u::hwloc_pcidev_attr_s